Subject: Re: [PATCH] bash-completion: add git-prune into bash completion

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Jun 2020 11:28:53 -0700

"John Lin via GitGitGadget" <[email-masked]> writes:

> From: John Lin <[email-masked]>
>
> Sometimes git would suggest the user to run `git prune` when there are
> too many unreachable loose objects. It's more user-friendly if we add
> git-prune into bash completion.

Yes, but it does not suggest all the time, and there is a reason.
Most of the time "gc" is more appropriate, but there are narrow
cases where "prune" is more appropriate and that is when the users
will see suggestion to run "prune".

Isn't it too much to type p-r-u-n-e while seeing that message,
typing as you read it?

I do not think it hurts to complete "git prune", in the sense that
we would want to avoid completing potentially destructive operation
to those who do not understand the implications, because the command
is pretty much benign.  But I am not sure it forces users to type
too many keystrokes too frequently that it requires a tab
completion.  I dunno.

Will queue for now.

Thanks.